List checks
curl --request GET \
--url https://robust-parakeet-542.convex.site/v1/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://robust-parakeet-542.convex.site/v1/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://robust-parakeet-542.convex.site/v1/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://robust-parakeet-542.convex.site/v1/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://robust-parakeet-542.convex.site/v1/verify"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://robust-parakeet-542.convex.site/v1/verify")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://robust-parakeet-542.convex.site/v1/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"type": "idp",
"status": "queued",
"verdict": "pass",
"confidence": 123,
"createdAt": 123,
"completedAt": 123
}
],
"nextCursor": 123
}{
"error": "Missing required fields: subjectName",
"details": {
"subjectName": "string of at most 200 characters"
}
}{
"error": "Invalid API key"
}{
"error": "This API key can't call POST /v1/verify/aml. Give it the \"verify:aml\" scope or use another key."
}{
"error": "Rate limit exceeded"
}Results
List checks
Your organization’s checks, newest first. Scope results:read.
GET
/
v1
/
verify
List checks
curl --request GET \
--url https://robust-parakeet-542.convex.site/v1/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://robust-parakeet-542.convex.site/v1/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://robust-parakeet-542.convex.site/v1/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://robust-parakeet-542.convex.site/v1/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://robust-parakeet-542.convex.site/v1/verify"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://robust-parakeet-542.convex.site/v1/verify")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://robust-parakeet-542.convex.site/v1/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"type": "idp",
"status": "queued",
"verdict": "pass",
"confidence": 123,
"createdAt": 123,
"completedAt": 123
}
],
"nextCursor": 123
}{
"error": "Missing required fields: subjectName",
"details": {
"subjectName": "string of at most 200 characters"
}
}{
"error": "Invalid API key"
}{
"error": "This API key can't call POST /v1/verify/aml. Give it the \"verify:aml\" scope or use another key."
}{
"error": "Rate limit exceeded"
}Authorizations
Your API key: gt_live_… or gt_test_…
Query Parameters
Available options:
queued, processing, completed, failed Available options:
idp, kyb, aml, liveness, kyi, document Page size, 1 to 100. Default 25 for checks and credit history, 50 for capture links and monitored subjects.
Required range:
1 <= x <= 100The nextCursor from the previous page.
Required range:
x >= 0
